Loading...
Searching...
No Matches
nlog10_ff.h
Go to the documentation of this file.
/* -*- c++ -*- */
/*
* Copyright 2012 Free Software Foundation, Inc.
*
* This file is part of GNU Radio
*
* SPDX-License-Identifier: GPL-3.0-or-later
*
*/
#ifndef INCLUDED_BLOCKS_NLOG10_FF_H
#define INCLUDED_BLOCKS_NLOG10_FF_H
#include <gnuradio/blocks/api.h>
#include <gnuradio/sync_block.h>
namespace gr {
namespace blocks {
/*!
* \brief output = n*log10(input) + k
* \ingroup math_operators_blk
*/
class BLOCKS_API nlog10_ff : virtual public sync_block
{
public:
// gr::blocks::nlog10_ff::sptr
typedef std::shared_ptr<nlog10_ff> sptr;
/*!
* \brief Make an instance of an nlog10_ff block.
* \param n Scalar multiplicative constant
* \param vlen Input vector length
* \param k Scalar additive constant
*/
static sptr make(float n = 1.0, size_t vlen = 1, float k = 0.0);
};
} /* namespace blocks */
} /* namespace gr */
#endif /* INCLUDED_BLOCKS_NLOG10_FF_H */
gr::blocks::nlog10_ff
output = n*log10(input) + k
Definition nlog10_ff.h:25
gr::blocks::nlog10_ff::make
static sptr make(float n=1.0, size_t vlen=1, float k=0.0)
Make an instance of an nlog10_ff block.
gr::blocks::nlog10_ff::sptr
std::shared_ptr< nlog10_ff > sptr
Definition nlog10_ff.h:28
gr::sync_block::sync_block
sync_block(void)
Definition sync_block.h:28
api.h
BLOCKS_API
#define BLOCKS_API
Definition gr-blocks/include/gnuradio/blocks/api.h:18
gr::blocks
Definition abs_blk.h:20
gr
GNU Radio logging wrapper.
Definition basic_block.h:29
sync_block.h